import { __extends } from "../../../node_modules/tslib/tslib.es6.mjs";
import { mixin } from "../../../../../../zrender@5.4.4/node_modules/zrender/lib/core/util.mjs";
import ComponentModel from "../../model/Component.mjs";
import { AxisModelCommonMixin } from "../axisModelCommonMixin.mjs";
import { SINGLE_REFERRING } from "../../util/model.mjs";
var CartesianAxisModel = (
  /** @class */
  function(_super) {
    __extends(CartesianAxisModel2, _super);
    function CartesianAxisModel2() {
      return _super !== null && _super.apply(this, arguments) || this;
    }
    CartesianAxisModel2.prototype.getCoordSysModel = function() {
      return this.getReferringComponents("grid", SINGLE_REFERRING).models[0];
    };
    CartesianAxisModel2.type = "cartesian2dAxis";
    return CartesianAxisModel2;
  }(ComponentModel)
);
mixin(CartesianAxisModel, AxisModelCommonMixin);
export {
  CartesianAxisModel,
  CartesianAxisModel as default
};
